PRO bar
;Plot a bar chart

;Open postscript file and select the color table
SET_PLOT,'ps'
DEVICE, FILE='bar.ps', XSIZE=8.27, YSIZE=11.69,$
        XOFFSET=0.5, YOFFSET=0.5, /INCHES, /COLOR
!P.POSITION=[0.1,0.3,0.9,0.6]
!P.COLOR=1
!P.CHARSIZE=1.4
!P.CHARTHICK=3.0
!P.THICK=5.0
r = [255,0,0,0,0,0,66,184,245,255,255,255,230,191,148,105,161,184]
g = [255,0,84,199,255,255,255,255,255,209,135,28,0,0,0,0,0,0]
b = [255,0,255,255,255,178,0,0,0,0,0,0,0,0,0,20,135,186]
TVLCT, r,g,b

; Set up the plot area
xmin=0
xmax=23
ymin=0
ymax=100
PLOT, [xmin, xmax],[ymin, ymax], XSTYLE=5, YSTYLE=5, $
      YRANGE=[ymin, ymax], XRANGE=[xmin, xmax], /NODATA, $
      /NOERASE
            
;Draw and fill the boxes 
col=2
FOR ix= 0, xmax-1 DO BEGIN
  myx=ix+0.5
  myy=sin(ix)*40+56
  boxwidth=0.3
  xpts=[myx-boxwidth, myx-boxwidth, myx+boxwidth, myx+boxwidth, myx-boxwidth]
  ypts=[0, myy, myy, 0, 0 ]
  POLYFILL, xpts, ypts, COLOR=col
  col=col+1
  IF (col EQ 17) THEN col=2
ENDFOR 
   
;Label the axes
myticks=STRTRIM(STRING(INDGEN(xmax)+1),2)
myticklen=-0.03
mytickvals=FINDGEN(xmax)+0.5
AXIS, XAXIS=0, XTITLE='Run No in Series A', TICKLEN=myticklen,$
         XTICKS=xmax-1, XTICKNAME=myticks, XTICKV=mytickvals
myticks(*)=' '	 
AXIS, XAXIS=1, TICKLEN=myticklen,$
         XTICKS=xmax-1, XTICKNAME=myticks, XTICKV=mytickvals
	 
;Put on rotated xaxis labels 	 
FOR ix= 0, xmax-1 DO BEGIN
  XYOUTS,ix+0.8, -12, myticks(ix), ORIENTATION=90 
ENDFOR 	 
	 
n=6
mytickvals=INDGEN(n)*20
myticklen=-0.015
myticks=STRTRIM(STRING(mytickvals),2)
AXIS, YAXIS=0, YTITLE='Percentage', TICKLEN=myticklen,$
         YTICKS=n-1, YTICKNAME=myticks, YTICKV=mytickvals
myticks(*)=' '	  
AXIS, YAXIS=1, TICKLEN=myticklen,$
         YTICKS=n-1, YTICKNAME=myticks, YTICKV=mytickvals

;Close the postscript file
DEVICE, /CLOSE
SPAWN, 'display bar.ps'

END

