PRO box

;Open postscript file and select the color table
SET_PLOT,'ps'
DEVICE, FILE='box.ps', XSIZE=8.27, YSIZE=11.69,$
        XOFFSET=0.5, YOFFSET=0.5, /INCHES, /COLOR
!P.POSITION=[0.1,0.3,0.9,0.6]
!P.COLOR=1
!P.CHARSIZE=1.4
!P.CHARTHICK=3.0
!P.THICK=5.0
r = [255,0,214,0,0,0,66,184,245,255,255,255,230,191,148,105,161,184]
g = [255,0,214,199,255,255,255,255,255,209,135,28,0,0,0,0,0,0]
b = [255,0,214,255,255,178,0,0,0,0,0,0,0,0,0,20,135,186]
TVLCT, r,g,b

; Set up the plot area
xmin=0
xmax=11
ymin=0
ymax=150
PLOT, [xmin, xmax],[ymin, ymax], XSTYLE=5, YSTYLE=5, $
      YRANGE=[ymin, ymax], XRANGE=[xmin, xmax], /NODATA, $
      /NOERASE
      
; Read in the data
OPENR,1,'box.txt'
data=FLTARR(11,5)
vals=FLTARR(5)
FOR i=0,10 DO BEGIN
 READF, 1, vals
 data(i,0:4)=vals
ENDFOR
CLOSE, 1 

      
;Plot the boxes and fill with grey
FOR ix= 0, 10 DO BEGIN
  myx=ix+0.5
  PLOTS, [myx-0.1, myx+0.1], [data(ix,0), data(ix,0)]
  PLOTS, [myx, myx], [data(ix,0), data(ix,1)]
  xpts=[myx-0.2, myx-0.2, myx+0.2, myx+0.2, myx-0.2]
  ypts=[data(ix,1), data(ix,3),data(ix,3),data(ix,1), data(ix,1) ]
  POLYFILL, xpts, ypts, COLOR=2 
  PLOTS, xpts, ypts
  PLOTS, [myx-0.2, myx+0.2], [data(ix,2), data(ix,2)] 
  PLOTS, [myx, myx], [data(ix,3), data(ix,4)]  
  PLOTS, [myx-0.1, myx+0.1], [data(ix,4), data(ix,4)] 
ENDFOR 
   
      
;Label the axes
myticks=['APF', 'NRC', 'FYM','CRD','YFT','CTI','GOK','ILE','YOT','SRE','LPP']
myticklen=-0.03
mytickvals=findgen(11)+0.5
AXIS, XAXIS=0, TICKLEN=myticklen,$
         XTICKS=10, XTICKNAME=myticks, XTICKV=mytickvals
myticks(*)=' '	 
AXIS, XAXIS=1, TICKLEN=myticklen,$
         XTICKS=10, XTICKNAME=myticks, XTICKV=mytickvals

n=7
mytickvals=indgen(n)*25
myticklen=-0.015
myticks=strtrim(string(mytickvals),2)
AXIS, YAXIS=0, YTITLE='Annual Observations', TICKLEN=myticklen,$
         YTICKS=n-1, YTICKNAME=myticks, YTICKV=mytickvals
myticks(*)=' '	 
AXIS, YAXIS=1, TICKLEN=myticklen,$
         YTICKS=n-1, YTICKNAME=myticks, YTICKV=mytickvals

;Close the postscript file
DEVICE, /CLOSE
SPAWN, 'display box.ps'

END

