PRO comp
;Model comparison plot

;Read in the data
OPENR,1,'comp.txt'
mystr=' '
READF,1,mystr  ; read titles
mytime=INTARR(121)
temp1=FLTARR(121)
temp2=FLTARR(121)
FOR i=0,120 DO BEGIN
 READF, 1, val1, val2, val3 
 mytime(i)=val1
 temp1(i)=val2
 temp2(i)=val3
ENDFOR
CLOSE, 1 


;Select maximum and minimum for plot
myymax=1.0
myymin=-0.5
myxmin=1880
myxmax=2000

;Open postscript file and select the color table
SET_PLOT,'ps'
DEVICE, FILE='comp.ps', XSIZE=8.27, YSIZE=11.69,$
        XOFFSET=0.5, YOFFSET=0.5, /INCHES, /COLOR
!P.POSITION=[0.1,0.3,0.9,0.6]
!P.COLOR=1
!P.CHARSIZE=1.4
!P.CHARTHICK=3.0
r = [255,0,0,0,0,0,66,184,245,255,255,255,255,204,148,105,161,184]
g = [255,0,170,34,255,255,255,255,255,209,102,185,102,0,0,0,0,0]
b = [255,0,250,190,255,178,0,0,0,0,0,0,1,0,0,20,135,186]
TVLCT, r,g,b 

   
;Plot the data
xcoords=INTARR(121+121+1)
xcoords(0:120)=mytime
xcoords(121:241)=REVERSE(mytime)
xcoords(242)=mytime(0)

ycoords=FLTARR(121+121+1)
ycoords(0:120)=temp1+0.17
ycoords(121:241)=REVERSE(temp1-0.17)
ycoords(242)=temp1(0)

POLYFILL,xcoords, ycoords, COLOR=2

ycoords=fltarr(121+121+1)
ycoords(0:120)=temp2+0.17
ycoords(121:241)=REVERSE(temp2-0.17)
ycoords(242)=temp2(0)

POLYFILL, xcoords, ycoords, COLOR=12

PLOT, mytime, temp1, XSTYLE=5, YSTYLE=5, COLOR=3,$
      YRANGE=[myymin, myymax], XRANGE=[myxmin, myxmax], $
      THICK=5, /NOERASE
PLOT, mytime, temp2, XSTYLE=5, YSTYLE=5, COLOR=13,$
      YRANGE=[myymin, myymax], XRANGE=[myxmin, myxmax], $
      THICK=5, /NOERASE


;Add a legend
PLOTS, [1885,1900],[0.9,0.9], THICK=5, COLOR=3
PLOTS, [1885,1900],[0.8,0.8], THICK=5, COLOR=13
XYOUTS, 1902, 0.87, 'Model 1', COLOR=3
XYOUTS, 1902, 0.77, 'Model 2', COLOR=13



;Add the axes      
myticks=['1880', '1900', '1920', '1940', '1960', '1980', '2000']
myticklen=-0.03
mytickvals=FLOAT(myticks)
AXIS, XAXIS=0, XTITLE='Year', TICKLEN=myticklen,$
         XTICKS=6, XTICKNAME=myticks, XTICKV=mytickvals
myticks(*)=' '
AXIS, XAXIS=1, TICKLEN=myticklen,$
         XTICKS=6, XTICKNAME=myticks, XTICKV=mytickvals

n=7
mytickvals=INDGEN(n)*.25-0.5
myticklen=-0.015
myticks=['-0.5', '-0.25', '0.0', '0.25', '0.5', '0.75', '1.0']
AXIS, YAXIS=0, YTITLE='Anomaly in !Eo!NC', TICKLEN=myticklen,$
         YTICKS=n-1, YTICKNAME=myticks, YTICKV=mytickvals
myticks(*)=' '	 
AXIS, YAXIS=1, TICKLEN=myticklen,$
         YTICKS=n-1, YTICKNAME=myticks, YTICKV=mytickvals

;Close the postscript file
DEVICE, /CLOSE
SPAWN, 'display comp.ps'

END

