PRO mygraph
;Plot a simple graph of temperature

;Read in the data
fid=NCDF_OPEN('ukmo.nc')
varid=NCDF_VARID(fid,'temp')
NCDF_VARGET, fid, varid, data
NCDF_CLOSE, fid

;Open postscript file and select the color table
SET_PLOT,'ps'
DEVICE, FILE='mygraph.ps', XSIZE=8.27, YSIZE=11.69,$
        XOFFSET=0.5, YOFFSET=0.5, /INCHES, /COLOR
!P.POSITION=[0.1,0.3,0.9,0.6]
!P.COLOR=1   
!P.THICK=3.0
!P.FONT=1
!X.THICK=3.0
!Y.THICK=3.0
r = [255,0,0,0,0,0,66,184,245,255,255,255,230,191,148,105,161,184]
g = [255,0,84,199,255,255,255,255,255,209,135,28,0,0,0,0,0,0]
b = [255,0,255,255,255,178,0,0,0,0,0,0,0,0,0,20,135,186]
TVLCT, r,g,b

;select data from North pole to south pole on the equator 
;and at the surface. Also convert to Celsius.
mytemp=REFORM(data(0,*,0))-273.15

;draw the graph
PLOT, INDGEN(73), mytemp, XSTYLE=5, YSTYLE=5, COLOR=13,$
      YRANGE=[-20.0, 30.0]

; add the axes
myticks=['90N', '60N', '30N','EQ','30S', '60S', '90S']
myticklen=-0.03
mytickvals=[0,12,24,36,48,60,72]
AXIS, XAXIS=0, XTITLE='Longitude', TICKLEN=myticklen,$
         XTICKS=6, XTICKNAME=myticks, XTICKV=mytickvals
myticks(*)=' '
AXIS, XAXIS=1, TICKLEN=myticklen,$
         XTICKS=6, XTICKNAME=myticks, XTICKV=mytickvals

myticks=['-20', '-10', '0','10','20', '30']
myticklen=-0.015
mytickvals=[-20, -10, 0, 10, 20, 30]
AXIS, YAXIS=0, YTITLE='Temperature', TICKLEN=myticklen,$
         YTICKS=5, YTICKNAME=myticks, YTICKV=mytickvals
myticks(*)=' '
AXIS, YAXIS=1, TICKLEN=myticklen,$
         YTICKS=5, YTICKNAME=myticks, YTICKV=mytickvals

;Close the postscript file
DEVICE, /CLOSE
SPAWN, 'display mygraph.ps'

END
