PRO ozone, datafile
; Program to plot ozone

; read in the data
header=' ';buffer for string headers in file
mystr=' ';buffer for data values
ozone=INTARR(288,180)
myrow=INTARR(288)
OPENR, 1, datafile
READF, 1, header
READF, 1, header
READF, 1, header
FOR iy=0,179 DO BEGIN
 FOR ix=0,10 DO BEGIN
  READF, 1, mystr
  FOR ist=0,24 DO BEGIN
    myrow(ix*25+ist)=STRMID(mystr,ist*3+1,3)
  ENDFOR
 ENDFOR
 READF, 1, mystr
 FOR ist=0,12 DO BEGIN
  myrow(11*25+ist)=STRMID(mystr,ist*3+1,3)
 ENDFOR
ozone(*,iy)=myrow
ENDFOR
CLOSE, 1

; Wrap the data around
ozone=[ozone,ozone(0,*)]
lats=-89.5+FINDGEN(180)
longs=[-179.375+FINDGEN(289)*1.25]

;Open postscript file and select the color table
SET_PLOT, 'ps'
DEVICE, FILE='ozone.ps', XSIZE=8.27, YSIZE=11.69,$
        XOFFSET=0.5, YOFFSET=0.5, /INCHES, /COLOR
!P.COLOR=1   
!P.THICK=3.0
!P.FONT=1
!X.THICK=3.0
!Y.THICK=3.0
xsize=!D.X_VSIZE ;Paper x size
ysize=!D.Y_VSIZE ;Paper y size
xoffset=4000.
yoffset=4000.
myxsize=14000.
myysize=14000.
xstart=xoffset/xsize
xfinish=(xoffset+myxsize)/xsize
ystart=yoffset/ysize
yfinish=(yoffset+myysize)/ysize
!P.POSITION=[xstart, ystart, xfinish, yfinish]
d=[255,     255,     255,$ ;white
     0,       0,       0,$ ;black
     9,       0,       9,$
    89,       0,      89,$
   139,       0,     139,$
    93,      29,     213,$
    14,      34,     254,$
     0,     119,     234,$
     0,     190,     193,$
     0,     254,     254,$
   113,     254,      52,$
     0,     254,       0,$
   194,     233,      11,$
   254,     254,       0,$
   254,     154,       0,$
   205,      42,       0,$
   124,      19,      21,$
    54,       9,       9]
; reform and load the colourtable
c=reform(d, 3, N_ELEMENTS(d)/3)
TVLCT, c(0,*), c(1,*), c(2,*)

;Set projection and contour the data
MAP_SET, -90.0, 0.0, /STEREOGRAPHIC, /NOBORDER
	
;Contour the data
n=17
levs=INDGEN(n)*25+100      ; specify levels
labs=STRTRIM(STRING(levs),2)
CONTOUR, ozone, longs, lats, LEVELS=levs, XSTYLE=5, YSTYLE=5,$
         /CELL_FILL, C_COLORS=INDGEN(n)+2, /OVERPLOT
CONTOUR, ozone, longs, lats, LEVELS=levs, XSTYLE=5, YSTYLE=5,$
         C_ANNOTATION=labs, /OVERPLOT	
MAP_CONTINENTS  ;overlay the continents

;Add the axes 
;First a line at the equator
FOR ix=0, 359 DO BEGIN
  PLOTS, [ix, ix+1], [0.1, 0.1]
ENDFOR

;Overlay the continents and grid
MAP_CONTINENTS
MAP_GRID, LONDEL=30


;Now swap into device coordinates to add the longitude labels
xmid=xoffset+myxsize/2
ymid=yoffset+myysize/2
yrad=myxsize/2
lonticks=['GM','30W','60W','90W','120W','150W',$
          'DL','150E','120E','90E','60E','30E' ]  
lonticks=['DL','150W','120W','90W','60W','30W',$
           'GM','30E','60E','90E','120E','150E']  	  
FOR ix=0,11 DO BEGIN
x=(yrad+400)*SIN(ix*30*!DTOR)
y=(yrad+400)*COS(ix*30*!DTOR)
XYOUTS, xmid-x, ymid-y-100, lonticks(ix), ALIGNMENT=0.5, /DEVICE
ENDFOR
	 
	 
;Add a colourbar
COLBAR, [0.18,0.05,0.88,0.1], levs, 'Ozone (DU)'

;Close the postscript file
DEVICE, /CLOSE
SPAWN, 'display ozone.ps'

END

