PRO regrid_test
;Show use of bilinear regridding program

; read in the data
fid=NCDF_OPEN('ukmo.nc')
varid=NCDF_VARID(fid,'temp')
NCDF_VARGET, fid, varid, temp
varid=NCDF_VARID(fid,'longitude_1')
NCDF_VARGET, fid, varid, longs
varid=NCDF_VARID(fid,'latitude_1')
NCDF_VARGET, fid, varid, lats
NCDF_CLOSE, fid

;A single point
temp=temp(*,*,0) ;reduce temperature to a 2D array
fieldout=0.0
longs2=59.98
lats2=30.2
regrid, temp, longs, lats, fieldout, longs2, lats2
PRINT, 'Single point test'
PRINT, '-----------------'
PRINT, 'Value at ', longs2, lats2, ' is ', fieldout
PRINT, ' '

; read in the data
fid=NCDF_OPEN('ukmo.nc')
varid=NCDF_VARID(fid,'temp')
NCDF_VARGET, fid, varid, temp
varid=NCDF_VARID(fid,'longitude_1')
NCDF_VARGET, fid, varid, longs
varid=NCDF_VARID(fid,'latitude_1')
NCDF_VARGET, fid, varid, lats
NCDF_CLOSE, fid

;An array of longitudes and latitudes
temp=temp(*,*,0) ;reduce temperature to a 2D array
fieldout=FLTARR(3,2)
longs2=FINDGEN(3)*12.0-12.0
lats2=FINDGEN(2)*5.0
regrid, temp, longs, lats, fieldout, longs2, lats2
PRINT, 'Multiple point test'
PRINT, '-------------------'
PRINT, 'Values on longitudes ', longs2
PRINT, 'and latitudes ', lats2
PRINT, 'are ',fieldout



END
